% function Q = bmassmat(grid)
%
%  Mass matrix for boundary edges
%
%  inputs
%   grid structure containing grid info. See gengrid.m
%
%  outputs
%   Q    nnodes x nnodes matrix with entries being 
%         Q(i,j) = int_{boundary} phi_i (x,y) phi_j (x,y)

% Fernando Guevara Vasquez 2008
function Q = bmassmat(grid)
 be = grid.be; p = grid.p;
 np = size(p,1);
 Q = sparse(np,np);
 for j=1:size(be,1),
  Q(be(j,:),be(j,:)) =  Q(be(j,:),be(j,:)) + massa3(p(be(j,:),:));
 end; 

function Q = massa3(p)
 Q = norm(p(1,:) - p(2,:))*[1/3 1/6; 1/6 1/3];
