% function g = boundary_int(grid)
%
% If f is a vector of values at the boundary nodes,
% g'*f approximates int_{boundary} f dS with trapezoidal quadrature
%
% inputs
%  grid structure containing grid info. See gengrid.m
% outputs
%  g   nbdrynodes x 1 vector

% Fernando Guevara Vasquez 2008
function g = boundary_int(grid)
be = grid.be; nbe = size(be,1);
g = zeros(nbe,1);
l = edge_length(grid);
for j=1:nbe,
 g(be(j,:)) = g(be(j,:)) + l(j)/2;
end;
