% function I = currents(grid)
%
% generates current patterns and assembles them into multiple RHS
% (there are exactly nbdry different RHS). These current patterns
% correspond to 
%
%    (eye(nbdry)-1/nbdry)
%
% i.e. letting a current of 1 into some node and removing it
% out of the other nodes, with each node's contribution been the same.
%
% inputs
%   grid structure containing grid info. See gengrid.m
% ouputs
%   I nnodes x nbdry nodes matrix

% Fernando Guevara Vasquez 2008
function I = currents(grid)
be=grid.be; nbe = size(be,1); 


I = (bmassmat(grid))*(obsop(grid))'*(eye(nbe)-1/nbe);
