% function C = obsop(grid)
% 
%  observation operator (restriction to the boundary) as a matrix
%
%  inputs
%    grid structure containing grid info. See gengrid.m
%
%  outputs
%    C    nbdrynodes x nnodes matrix
%
%  Note: assumes boundary nodes are the first nb nodes in the dispretization)
%
function C = obsop(grid)
nb = size(grid.be,1);
np = size(grid.p,1);
C = sparse(nb,np);
for j=1:nb,
 C(j,j) = 1;
end;
