% setup the problem
load grid32;

nb = size(grid.be,1);
nt = size(grid.t,1);
% ** setup the pars structure for our function
pars.grid = grid; 		     % the grid
pars.I = currents(grid); pars.I(end,:)=0; % the currents
pars.bint = boundary_int(grid);      % boundary integral
pars.V = randn(nb,nb);               % data, for the moment just some random matrix
pars.C = obsop(grid); 		     % observation operator
[Bx,By]=gradmat(grid);		     % discrete gradient
pars.Bx = Bx; pars.By = By;
Q = bmassmat(grid); pars.Q = Q;      % mass matrix at the boundary
pars.Qbdry = pars.C * Q * pars.C';   % restriction of Q to the boundary
pars.M = massmat(grid);              % mass matrix for the interior
pars.alpha = 1;			     % the regularization parameter

sig = ones(nt,1);		     % some conductivity

% compute objective function
f=fobj(sig,pars);

% gradient_check
%  .....
