% function c = triangle_centers(grid)
%
% gives coordinates of the centers of mass of the triangles
% 
% inputs
%  grid  structure containing grid info. See gengrid.m
%
% outputs
%  c     coordinates of the center of mass of each triangle
%         c = [c1x  c1y
%                ...
%              cix  ciy 
%                ...
%              cntx cnty]
%        here (cix,ciy) are the x,y coordinates of the center of mass of the triangle
%        i, for i = 1 .. ntriangles
function c = triangle_centers(grid)
p=grid.p; np=size(p,1); 
t=grid.t; nt=size(t,1);
c = zeros(nt,2);
for j=1:size(t,1),
 c(j,:) = sum(p(t(j,:),:),1)/3;
end;
